{% stories pager with {
  title: 'Molecules',
} %}
  {# @TODO: check why booleans don't get shown as booleans but as strings. #}
  {% story pager with {
    name: 'Pager',
    args: {
      ellipses: {
        previous: false,
        next: false,
      },
    },
    argTypes: {
      ellipses: {
        previous: { control: "boolean" },
        next: { control: "boolean" },
      },
    },
  } %}
    {% include "@rocketship-theme-starter-molecules/pager/pager.html.twig" with {
      items: {
        first: {
          href: '#',
          attributes: create_attribute(),
          text: 'First',
        },
        previous: {
          href: '#',
          attributes: create_attribute(),
          text: 'Previous',
        },
        next: {
          href: '#',
          attributes: create_attribute(),
          text: 'Next',
        },
        last: {
          href: '#',
          attributes: create_attribute(),
          text: 'Last',
        },
        pages: [
          {
            href: '#',
            attributes: create_attribute(),
          },
          {
            href: '#',
            attributes: create_attribute(),
          },
          {
            href: '#',
            attributes: create_attribute(),
          },
          {
            href: '#',
            attributes: create_attribute(),
          },
        ],
      }
    } %}
  {% endstory %}
{% endstories %}
